Preview a product import
POST
/products/import/preview
const url = 'https://app.buildtrace.eu/api/products/import/preview';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"csv":"example","columnMap":{"name":"example","code":"example","qty":"example","tracking":"example","manufacturerPn":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.buildtrace.eu/api/products/import/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "csv": "example", "columnMap": { "name": "example", "code": "example", "qty": "example", "tracking": "example", "manufacturerPn": "example" } }'Required scope: parts:write.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
csv
required
string
columnMap
required
object
name
string
code
string
qty
string
tracking
string
manufacturerPn
string
Example generated
{ "csv": "example", "columnMap": { "name": "example", "code": "example", "qty": "example", "tracking": "example", "manufacturerPn": "example" }}Responses
Section titled “Responses”OK
Media typeapplication/json
object
items
required
Array<object>
object
name
required
string
code
required
string
tracking
required
string
kind
required
string
qty
required
string
status
required
string
warnings
required
Array<string>
Example generated
{ "items": [ { "name": "example", "code": "example", "tracking": "example", "kind": "example", "qty": "example", "status": "example" } ], "warnings": [ "example" ]}Bad request
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}Unauthorized